VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo:
[legend]

## Public Member Functions

| ExportSemaphoreCreateInfo (ExternalSemaphoreHandleTypeFlags handleTypes_=ExternalSemaphoreHandleTypeFlags())
| ExportSemaphoreCreateInfo (VkExportSemaphoreCreateInfo const &rhs)
ExportSemaphoreCreateInfo & | operator= (VkExportSemaphoreCreateInfo const &rhs)
ExportSemaphoreCreateInfo & | setPNext (const void *pNext_)
ExportSemaphoreCreateInfo & | setHandleTypes (ExternalSemaphoreHandleTypeFlags handleTypes_)
| operator VkExportSemaphoreCreateInfo const & () const
| operator VkExportSemaphoreCreateInfo & ()
bool | operator== (ExportSemaphoreCreateInfo const &rhs) const
bool | operator!= (ExportSemaphoreCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ExternalSemaphoreHandleTypeFlags | handleTypes

## Private Attributes

StructureType | sType = StructureType::eExportSemaphoreCreateInfo

## Detailed Description

Definition at line 32505 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ExportSemaphoreCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::ExportSemaphoreCreateInfo | ( | ExternalSemaphoreHandleTypeFlags | handleTypes_ = `ExternalSemaphoreHandleTypeFlags()` | ) |

inline

Definition at line 32507 of file vulkan.hpp.

: handleTypes( handleTypes_ )
{
}

## ExportSemaphoreCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::ExportSemaphoreCreateInfo | ( | VkExportSemaphoreCreateInfo const & | rhs | ) |

inline

Definition at line 32512 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportSemaphoreCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkExportSemaphoreCreateInfo &()

VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator VkExportSemaphoreCreateInfo & | ( |  | ) |

inline

Definition at line 32539 of file vulkan.hpp.

{
return *reinterpret_cast<VkExportSemaphoreCreateInfo*>(this);
}

## operator VkExportSemaphoreCreateInfo const &()

VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator VkExportSemaphoreCreateInfo const & | ( |  | ) | const

inline

Definition at line 32534 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExportSemaphoreCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator!= | ( | ExportSemaphoreCreateInfo const & | rhs | ) | const

inline

Definition at line 32551 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ExportSemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator= | ( | VkExportSemaphoreCreateInfo const & | rhs | ) |

inline

Definition at line 32517 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ExportSemaphoreCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator== | ( | ExportSemaphoreCreateInfo const & | rhs | ) | const

inline

Definition at line 32544 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( handleTypes == rhs.handleTypes );
}

References handleTypes, pNext, and sType.

Referenced by operator!=().

## setHandleTypes()

ExportSemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::setHandleTypes | ( | ExternalSemaphoreHandleTypeFlags | handleTypes_ | ) |

inline

Definition at line 32528 of file vulkan.hpp.

{
handleTypes = handleTypes_;
return *this;
}

References handleTypes.

## setPNext()

ExportSemaphoreCreateInfo& VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 32522 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## handleTypes

ExternalSemaphoreHandleTypeFlags VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::handleTypes

Definition at line 32561 of file vulkan.hpp.

Referenced by operator==(), and setHandleTypes().

## pNext

const void* VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::pNext = nullptr

Definition at line 32560 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::sType = StructureType::eExportSemaphoreCreateInfo

private

Definition at line 32557 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkExportSemaphoreCreateInfo
Definition: vulkan_core.h:4449
VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:32560
VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::ExportSemaphoreCreateInfo
ExportSemaphoreCreateInfo(ExternalSemaphoreHandleTypeFlags handleTypes_=ExternalSemaphoreHandleTypeFlags())
Definition: vulkan.hpp:32507
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:32557
VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::handleTypes
ExternalSemaphoreHandleTypeFlags handleTypes
Definition: vulkan.hpp:32561
VULKAN_HPP_NAMESPACE::ExportSemaphoreCreateInfo::operator==
bool operator==(ExportSemaphoreCreateInfo const &rhs) const
Definition: vulkan.hpp:32544